# Class Time#getHolidayScheduleMode

Time

- Defined in: time.js

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| Time#getHolidayScheduleMode(successCallback, errorCallback) Gets HolidayScheduleMode enabled

## Class Detail

Time#getHolidayScheduleMode(successCallback, errorCallback)
Gets HolidayScheduleMode enabled

    // Javascript code
    function getHolidayScheduleMode () {
      function successCb(cbObject) {
         console.log("cbObject : " + JSON.stringify(cbObject));

         console.log("enabled : " + cbObject.enabled);

         // Do something
            ...
      }

      function failureCb(cbObject) {
         var errorCode = cbObject.errorCode;
         var errorText = cbObject.errorText;
         console.log ("Error Code [" + errorCode + "]: " + errorText);
      }

      var time = new Time();
      time.getHolidayScheduleMode(successCb, failureCb);
    }

Parameters:
{Function} successCallback
  success callback function.
{Function} errorCallback
  failure callback function.

Since:
  1.4
Returns:
  {Object}

  Property | Type | Description
  --- | --- | ---
  enabled | Boolean | Intelligent auto is enabled. true: enabled, false: disabled

See:
  Time.setHolidayScheduleMode()